﻿using System;
using MbUnit.Framework;
using WatiN.Core;
using MbUnit.Web;

namespace WebTestDemo
{
    [TestFixture]
    public class GoogleTests : AbstractBrowserTestFixture<GoogleTests.GoogleSearchPage>
    {
        [Test, RunBrowser]
        public void GoogleSearchTest()
        {
            var page = GoToPage();
            page.QueryTextField.TypeText("Carmina Burana");
            page.SearchButton.Click();
            Assert.Contains(Browser.Text, "Carl Orff");
        }

        [Url("http://www.google.com")]
        public class GoogleSearchPage : WatiN.Core.Page
        {
            [FindBy(Name="q")]
            public TextField QueryTextField;

            [FindBy(Name = "btnG")]
            public Button SearchButton;
        }

    }
}

